import type { OpenAPIV3 } from '@gitbook/openapi-parser';
import type { OpenAPIContext } from './types';
/**
 * Display an example.
 */
export declare function OpenAPIExample(props: {
    example: OpenAPIV3.ExampleObject;
    context: OpenAPIContext;
    syntax: string;
}): string | number | boolean | Iterable<import("react").ReactNode> | import("react").JSX.Element | null | undefined;
/**
 * Empty response example.
 */
export declare function OpenAPIEmptyExample(): import("react").JSX.Element;
/**
 * Generate an example from a reference object.
 */
export declare function getExampleFromReference(ref: OpenAPIV3.ReferenceObject): OpenAPIV3.ExampleObject;
/**
 * Get examples from a media type object.
 */
export declare function getExamplesFromMediaTypeObject(args: {
    mediaType: string;
    mediaTypeObject: OpenAPIV3.MediaTypeObject;
}): {
    key: string;
    example: OpenAPIV3.ExampleObject;
}[];
/**
 * Get example from a schema object.
 */
export declare function getExampleFromSchema(args: {
    schema: OpenAPIV3.SchemaObject;
}): OpenAPIV3.ExampleObject;
