import { type Key, type ListBoxItemProps, type PopoverProps, type SelectProps } from 'react-aria-components';
export type OpenAPISelectItem = {
    key: Key;
    label: string;
};
interface OpenAPISelectProps<T extends OpenAPISelectItem> extends Omit<SelectProps<T>, 'children'> {
    items: T[];
    children: React.ReactNode | ((item: T) => React.ReactNode);
    selectedKey?: Key;
    onChange?: (key: string | number) => void;
    placement?: PopoverProps['placement'];
}
export declare function OpenAPISelect<T extends OpenAPISelectItem>(props: OpenAPISelectProps<T>): import("react").JSX.Element;
export declare function OpenAPISelectItem(props: ListBoxItemProps): import("react").JSX.Element;
export {};
