'use client';
import clsx from 'clsx';
import { Button, ListBox, ListBoxItem, Popover, Select, SelectValue, } from 'react-aria-components';
export function OpenAPISelect(props) {
    var items = props.items, children = props.children, className = props.className, placement = props.placement;
    return (<Select {...props} className={clsx('openapi-select', className)}>
            <Button>
                <SelectValue />
                <span aria-hidden="true">
                    <svg className="gb-icon" style={{
            maskImage: "url('https://ka-p.fontawesome.com/releases/v6.6.0/svgs/regular/chevron-down.svg?v=2&token=a463935e93')",
            maskRepeat: 'no-repeat',
            maskPosition: 'center center',
        }}/>
                </span>
            </Button>
            <Popover placement={placement} className="openapi-select-popover">
                <ListBox className="openapi-select-listbox" items={items}>
                    {children}
                </ListBox>
            </Popover>
        </Select>);
}
export function OpenAPISelectItem(props) {
    return (<ListBoxItem {...props} className={function (_a) {
            var isFocused = _a.isFocused, isSelected = _a.isSelected;
            return clsx('openapi-select-item', {
                'openapi-select-item-focused': isFocused,
                'openapi-select-item-selected': isSelected,
            });
        }}/>);
}
